/* Copyright (C) 2006 by Marc Maurer <uwog@uwog.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 */
 
#ifndef __SESSIONEVENTPACKET_H__
#define __SESSIONEVENTPACKET_H__

#include "EventPacket.h"

class ABI_EXPORT StartSessionEventPacket : public EventPacket
{	
	virtual PacketEventType getEventType() const
		{ return PTE_StartSession; }
};

class ABI_EXPORT JoinSessionEventPacket : public EventPacket
{	
	virtual PacketEventType getEventType() const
		{ return PTE_JoinSession; }
};

class ABI_EXPORT DisjoinSessionEventPacket : public EventPacket
{	
	virtual PacketEventType getEventType() const
		{ return PTE_DisjoinSession; }
};

class ABI_EXPORT CloseSessionEventPacket : public EventPacket
{	
	virtual PacketEventType getEventType() const
		{ return PTE_CloseSession; }
};

#endif /* __SESSIONEVENTPACKET_H__ */
